package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.DataInputStream;
import java.io.IOException;
import java.util.Arrays;

public class KinematicsInfo implements IRead, IJsonObject {

    public byte[] internalData;
    public void read(CountDataInputStream di, int size) throws IOException {
        internalData=new byte[size-5];
        di.readFully(internalData);
    }

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("internalData", Arrays.toString(internalData))
                ;
    }
}
