package at.acdp.urweb.sclient.data;

import at.acdp.urweb.CountDataInputStream;
import com.eclipsesource.json.JsonObject;

import java.io.IOException;

public class ModeData implements IRead, IJsonObject {
    public boolean realRobotConnected;
    public boolean realRobotEnabled;
    public boolean robotPoweredOn;
    public boolean emergencyStopped;
    public boolean protectiveStopped;
    public boolean isProgramRunning;
    public boolean isProgramPaused;
    public byte robotMode;
    public byte controlMode;
    public double targetSpeedFraction;
    public double speedScaling;
    public double targetSpeedFractionLimit;
    public int internal;

    @Override
    public void read(CountDataInputStream di, int size) throws IOException {

    }

    @Override
    public JsonObject toJSON() {
        return new JsonObject()
                .add("realRobotConnected", realRobotConnected)
                .add("realRobotEnabled", realRobotEnabled)
                .add("robotPoweredOn", robotPoweredOn)
                .add("emergencyStopped", emergencyStopped)
                .add("protectiveStopped", protectiveStopped)
                .add("isProgramRunning", isProgramRunning)
                .add("isProgramPaused", isProgramPaused)
                .add("robotMode", robotMode)
                .add("controlMode", controlMode)
                .add("targetSpeedFraction", targetSpeedFraction)
                .add("speedScaling", speedScaling)
                .add("targetSpeedFractionLimit", targetSpeedFractionLimit)
                .add("internal", internal);
    }
}
